Skip to main content
`Ctrl`+`K`

# DMPlexMetricRestrictAnisotropyFirst

Is anisotropy restricted before normalization or after?

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricRestrictAnisotropyFirst(DM dm, PetscBool *restrictAnisotropyFirst)

## Input Parameters

- dm - The `DM`

## Output Parameters

- restrictAnisotropyFirst - Is anisotropy be normalized first?

## See Also

`DMPLEX`, `DMPlexMetricIsIsotropic()`, `DMPlexMetricSetRestrictAnisotropyFirst()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages